
@font-face {
    font-family: "BerkshireSwash";
    src: url("font/BerkshireSwash-Regular.ttf") format("truetype");
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: "Gabriela";
    src: url("font/Gabriela-Regular.ttf") format("truetype");
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: "Lobster";
    src: url("font/Lobster-Regular.ttf") format("truetype");
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: "ShantellSansMI";
    src: url("font/ShantellSans-MediumItalic.ttf") format("truetype");
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: "ShantellSans";
    src: url("font/ShantellSans-Regular.ttf") format("truetype");
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: "GreatVibes";
    src: url("font/GreatVibes-Regular.ttf") format("truetype");
    font-weight: normal;
    font-style: normal;
}

.font-upper-20-r {font-size: 2rem;}

.font-upper-17-r {font-size: 1.7rem;}

.font-upper-12-r {font-size: 1.2rem;}

.margin-top-24 {margin-top: 24px;}

.margin-top-16 {margin-top: 16px;}

.margin-top-8 {margin-top: 8px;}

.margin-left-16 {margin-left: 16px;}

.margin-left-8 {margin-left: 8px;}

.margin-right-16 {margin-right: 16px;}

.margin-right-8 {margin-right: 8px;}

.margin-16 {margin: 16px;}

.text-align-left {text-align: left}

.text-align-right {text-align: right}

.text-align-center {text-align: center}

.text-main {
    font-family: "Gabriela";
    font-size: 1.3rem;
}

.flex-space-around {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-around;
    row-gap: 16px;
}

.flex-space-between {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
}

.flex-space-between-nowrop {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
}

/*
.flex-center {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
}
*/
/*
    align-items: center;
    align-content: center;
    column-gap: 1.5rem;
    row-gap: 10%;
    gap: 10px 15px;
*/

text.svg-text-main {
    font-family: "ShantellSansMI";
    font-size: 2.75em;
    dominant-baseline: "alphabetic";
    fill-opacity: 0.9;
}

a {
    color: rgb(98, 0, 128);
    text-decoration: none;
}

a:hover, a:focus {
    text-decoration: underline;
}

input, button, select {
    font-size: 1.2rem;
}

form.filters {
    font-size: 1.5em;
    font-family: "Gabriela";
    color:indigo;
}

form.inline {
    display: inline;
}

div.nasa-link {
    margin-top: 16px;
    font-family: "ShantellSans";
    font-size: 1.8em;
    text-align: center;
    color: maroon;
}

div.article-title {
    margin-top: 16px;
    text-align: center;
    font-family: "GreatVibes";
    font-size: 3em;
    color:teal;
}

div.asteroid-title {
    margin-top: 16px;
    text-align: center;
    font-family: "BerkshireSwash";
    font-size: 3em;
    color:darkred;
}

div.table-title {
    margin-top: 16px;
    text-align: center;
    font-family: "Gabriela";
    font-size: 2em;
    color:darkred;
}

div.scroll {
    overflow-y: auto;
    overflow-x: auto;
    border: 1.5px solid #ccc;
    margin: 16px;
}

div.w48 { max-width: 48%; }

div.vh80 { max-height: 80vh; }  /* 80% viewport height */

div.vh40 { max-height: 40vh; }  /* 40% viewport height */

div.login {
    font-family: "Gabriela";
    font-size: 1.5rem;
    color: maroon;
}

div.user-about > p {
    font-family: "Lobster";
    font-size: 1.5rem;
    color: indigo;    
}

div.user-about > p > span{
    font-family: "BerkshireSwash";
    font-size: 1.5rem;
    color: darkred;    
}

p.title {
    margin-top: 8px;
    text-align: center;
    font-family: "Gabriela";
    font-size: 1.4rem;
    font-weight: bold;
    color:darkred;
}

p > i, li > i {color:darkorchid}

table.w100 {width: 100%;}

table.w75 {width: 75%;}

table {
    border-collapse: collapse;
    font-family: monospace;
    font-size: 1.2rem;
}

table thead th {
    padding: 12px;
    position: sticky;  /* Pinned title */
    z-index: 10;
    top: 0;
    background: #f8f9fa;
    border: 2px solid #dee2e6;
    min-width: 80px;
    font-weight: bold;
    text-align: center;
}

table tbody td {
    padding: 12px;
    border: 2px solid #dee2e6;
    min-width: 80px;
}

tbody tr:nth-child(even) {
    background: #f8f9fa;
}

li {margin-top: 12px;}

dt {color: blue;}

img.three-two {
    max-width: 100%;
    aspect-ratio: 3 / 2;
}


